//
//  CancelBtnComponent.swift
//  GoldWars
//
//  Created by Chauntalle Schüle on 15.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//
import GameplayKit
import SpriteKit

class CancelBtnComponent: GKComponent {
    
    var cancelBtnNode: CancelBtnNode
    
    init(iconName: String, text: String, position: CGPoint, isEnabled:Bool, onButtonPress: @escaping () -> ()) {
        cancelBtnNode = CancelBtnNode(iconName: iconName,
                                      text: text,
                                      isEnabled: isEnabled,
                                      position: position,
                                      onButtonPress: onButtonPress)
        super.init()
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
